Package be.fgov.ehealth.commons.enc.v2

# Class CipherReference

java.lang.Object
be.fgov.ehealth.commons.enc.v2.CipherReference

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class CipherReference extends Object implements Serializable
Contains the referenceType to use SOAP With Attachments for chipered data

Java class for CipherReferenceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CipherReferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}URI"/>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}Digest"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CipherReference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Digest`
  `getDigest()`
  Contains the digest value of the attachment
  `jakarta.activation.DataHandler`
  `getURI()`
  URI of the attachment
  `void`
  `setDigest(Digest value)`
  Sets the value of the digest property.
  `void`
  `setURI(jakarta.activation.DataHandler value)`
  Sets the value of the uri property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CipherReference

    public CipherReference()

- ## Method Details

  - ### getURI

    public jakarta.activation.DataHandler getURI()
    URI of the attachment
    Returns:
      possible object is `String`

  - ### setURI

    public void setURI(jakarta.activation.DataHandler value)
    Sets the value of the uri property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getURI()`

  - ### getDigest

    public Digest getDigest()
    Contains the digest value of the attachment
    Returns:
      possible object is `Digest`

  - ### setDigest

    public void setDigest(Digest value)
    Sets the value of the digest property.
    Parameters:
      `value` - allowed object is `Digest`
    See Also:
      - `getDigest()`